// Test of binary I/O functions


mob
	Login()

		sleep(5)	// for testing

		// declare the datum - this does nothing
		var/binfile/b = new()

		// create and open a new file
		// note if the file aready exists, it is set to zero length
		b.create("test.txt")

		// write a string
		b.putstring("A string test!")

		// and another
		b.putstring("And another!")

		// write a series of bytes
		b.putbyte(32)
		b.putbyte(32)
		b.putbyte(48)
		b.putbyte(50)
		b.putbyte(32)

		// write a 2-byte word (little-endian by default)
		b.putword( 0x3040 )

		//write a 2-byte word in big-endian format
		b.putword( 0x3040, 1)


		// flush the file buffers
		// this ensures all write operations are completed
		b.flush()

		// set the file position back to the start of the file
		b.seek(0, SEEK_SET)

		// read a string from the file, up to 100 characters, or newline, or end-of-file, whichever comes first
		var/t = b.getstring(100)

		world << t

		// close the file
		b.close()


		// reopen the file
		b.open("test.txt")

		// read bytes from the file until the end

		while(!b.eof())
			world << "[b.getbyte()] \..."

		b.close()